{"type":"api","title":"List IP prefixes associated with an Autonomous System","meta":{"id":"/apps/pubhub/media/000-v7-apis/a9d7d077fd3cd26af5968939669b4553e8957e87/0309cb9a-31ae-385e-a42e-01dc245a7777","info":{"title":"Autonomous Systems API","version":"7.0.107","description":"Retrieve information that ThousandEyes holds about Autonomous Systems."},"security":[{"BearerAuth":[]}],"tags":[{"name":"Autonomous Systems"}],"openapi":"3.0.1","servers":[{"description":"ThousandEyes API production URL","url":"https://api.thousandeyes.com/v7"}],"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Bearer authentication token"}}},"spec":{"tags":["Autonomous System Prefixes"],"summary":"List IP prefixes associated with an Autonomous System","operationId":"getAutonomousSystemAssociatedPrefixes","description":"Retrieves a list of IP prefixes associated with an Autonomous System through BGP announcement, RPKI coverage or IRR assignment.","parameters":[{"name":"asn","description":"The Autonomous System number.","required":true,"in":"path","schema":{"type":"integer","example":109}},{"name":"expand","in":"query","description":"(Optional) Indicates if the associations should be expanded.\nDefaults to no expansion.\nTo expand the `associations` sub-resource, use the query `?expand=associations`.\n","required":false,"style":"form","explode":false,"schema":{"type":"array","items":{"type":"string","enum":["associations"],"example":"associations"},"example":["associations"],"$$ref":"#/components/schemas/AutonomousSystemPrefixesExpand"}}],"responses":{"200":{"description":"OK","content":{"application/hal+json":{"schema":{"type":"object","properties":{"prefixes":{"type":"array","items":{"type":"object","properties":{"prefix":{"description":"The IP prefix in CIDR notation.","type":"string","example":"198.135.0.0/21"},"associations":{"description":"If expanded, this array shows the method by which the prefix is associated with the Autonomous System.","type":"array","items":{"type":"object","properties":{"type":{"type":"string","description":"The method by which the prefix is associated with the Autonomous System.","enum":["announced","rpki","allocated","unknown"],"example":"announced","$$ref":"#/components/schemas/PrefixAssociationType"},"lastSeen":{"type":"string","format":"date-time","description":"The UTC date when this association was last seen.","example":"2025-04-30T14:55:54Z","readOnly":true},"source":{"type":"string","description":"The data source (usually an Internet Routing Registry) where the association was found.","example":"ARIN"},"monitorCount":{"type":"integer","format":"int32","minimum":0,"description":"The number of BGP monitors that observed the association. Returned only when `type` is set to `announced`.","example":200,"readOnly":true}},"required":["type","lastSeen"],"$$ref":"#/components/schemas/PrefixAssociation"}},"otherAssociatedAsns":{"description":"Other Autonomous System numbers associated with this IP prefix.","type":"array","items":{"type":"integer"},"example":[198949]}},"required":["prefix","otherAssociatedAsns"],"$$ref":"#/components/schemas/PrefixAssociations"}},"_links":{"type":"object","description":"A links object containing pagination related link(s).","properties":{"previous":{"type":"object","description":"A hyperlink from the containing resource to a URI.","required":["href"],"properties":{"href":{"type":"string","description":"Its value is either a URI [RFC3986] or a URI template [RFC6570].","example":"https://api.thousandeyes.com/v7/link/to/resource/id"},"templated":{"type":"boolean","description":"Should be true when the link object's \"href\" property is a URI template."},"type":{"type":"string","description":"Used as a hint to indicate the media type expected when dereferencing the target resource."},"deprecation":{"type":"string","description":"Its presence indicates that the link is to be deprecated at a future date. Its value is a URL that should provide further information about the deprecation."},"name":{"type":"string","description":"Its value may be used as a secondary key for selecting link objects that share the same relation type."},"profile":{"type":"string","description":"A URI that hints about the profile of the target resource."},"title":{"type":"string","description":"Intended for labelling the link with a human-readable identifier"},"hreflang":{"type":"string","description":"Indicates the language of the target resource"}},"$$ref":"#/components/schemas/Link"},"next":{"type":"object","description":"A hyperlink from the containing resource to a URI.","required":["href"],"properties":{"href":{"type":"string","description":"Its value is either a URI [RFC3986] or a URI template [RFC6570].","example":"https://api.thousandeyes.com/v7/link/to/resource/id"},"templated":{"type":"boolean","description":"Should be true when the link object's \"href\" property is a URI template."},"type":{"type":"string","description":"Used as a hint to indicate the media type expected when dereferencing the target resource."},"deprecation":{"type":"string","description":"Its presence indicates that the link is to be deprecated at a future date. Its value is a URL that should provide further information about the deprecation."},"name":{"type":"string","description":"Its value may be used as a secondary key for selecting link objects that share the same relation type."},"profile":{"type":"string","description":"A URI that hints about the profile of the target resource."},"title":{"type":"string","description":"Intended for labelling the link with a human-readable identifier"},"hreflang":{"type":"string","description":"Indicates the language of the target resource"}},"$$ref":"#/components/schemas/Link"},"self":{"type":"object","description":"A hyperlink from the containing resource to a URI.","required":["href"],"properties":{"href":{"type":"string","description":"Its value is either a URI [RFC3986] or a URI template [RFC6570].","example":"https://api.thousandeyes.com/v7/link/to/resource/id"},"templated":{"type":"boolean","description":"Should be true when the link object's \"href\" property is a URI template."},"type":{"type":"string","description":"Used as a hint to indicate the media type expected when dereferencing the target resource."},"deprecation":{"type":"string","description":"Its presence indicates that the link is to be deprecated at a future date. Its value is a URL that should provide further information about the deprecation."},"name":{"type":"string","description":"Its value may be used as a secondary key for selecting link objects that share the same relation type."},"profile":{"type":"string","description":"A URI that hints about the profile of the target resource."},"title":{"type":"string","description":"Intended for labelling the link with a human-readable identifier"},"hreflang":{"type":"string","description":"Indicates the language of the target resource"}},"$$ref":"#/components/schemas/Link"}},"$$ref":"#/components/schemas/PaginationLinks"}},"$$ref":"#/components/schemas/AsPrefixAssociations"}}}},"401":{"description":"Unauthorized","content":{"application/problem+json":{"schema":{"type":"object","properties":{"error":{"type":"string","example":"invalid_token"},"error_description":{"type":"string","example":"Invalid access token"}},"$$ref":"#/components/schemas/UnauthorizedError"}}},"$$ref":"#/components/responses/401"},"403":{"description":"Insufficient permissions to query endpoint","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"}}},"$$ref":"#/components/responses/403"},"404":{"description":"Not found","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"},"example":{"type":"about:blank","title":"URI Resource Not Found","status":404,"detail":"Details explaining if the 404 error is related to an invalid URI or a wrong ID","instance":"/v7"}}},"$$ref":"#/components/responses/404"},"429":{"description":"Exhausted rate limit for the organization","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"}}},"$$ref":"#/components/responses/429"},"500":{"description":"Internal server error","content":{"application/problem+json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type. When this member is not present, its value is assumed to be \"about:blank\"."},"title":{"type":"string","description":"A short, human-readable summary of the problem type."},"status":{"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem."},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence of the problem."},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence of the problem."}},"$$ref":"#/components/schemas/Error"},"example":{"type":"about:blank","title":"Internal server error","status":500,"detail":"Optional detail about the internal error message.","instance":"/v7"}}},"$$ref":"#/components/responses/500"}},"__originalOperationId":"getAutonomousSystemAssociatedPrefixes","security":[{"BearerAuth":[]}],"method":"get","path":"/autonomous-systems/{asn}/prefixes"}}